Index: tmp/org.txm.setups/BuildWin64bit.sh
===================================================================
--- tmp/org.txm.setups/BuildWin64bit.sh	(revision 2838)
+++ tmp/org.txm.setups/BuildWin64bit.sh	(revision 2839)
@@ -77,10 +77,6 @@
 find "$APP/txm.nsi" -type f -exec sed -i "s/TXMVERSION/${FULLVERSION}/g" {} \;
 find "$APP/TXM.bat" -type f -exec sed -i "s/TXMVERSION/${VERSION}/g" {} \;
 
-#rename launcher.ini file to TXM.ini (more readable)
-mv "$APP/launcher.ini" "$APP/TXM.ini"
-
-
 echo "build executable"
 wine nsis/makensis.exe -V1 ${APP}/txm.nsi 2> logs64
 
Index: tmp/org.txm.setups/BuildLinux64bit.sh
===================================================================
--- tmp/org.txm.setups/BuildLinux64bit.sh	(revision 2838)
+++ tmp/org.txm.setups/BuildLinux64bit.sh	(revision 2839)
@@ -70,11 +70,9 @@
 find "$APP/usr/bin/TXM" -type f -exec sed -i "s/TXMVERSION/$VERSION/g" {} \;
 find "$APP/DEBIAN/control" -type f -exec sed -i "s/TXMVERSION/${VERSION}/g" {} \;
 
-mv "$APP/usr/lib/TXM/launcher.ini" "$APP/usr/lib/TXM/TXM.ini"
 mv "$APP/usr/bin/TXM" "$APP/usr/bin/TXM-$VERSION"
 mv "$APP/usr/lib/TXM" "$APP/usr/lib/TXM-$VERSION"
 
-
 find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/TXMVERSION/$VERSION/g" {} \;
 find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/TXMVERSION/$VERSION/g" {} \;
 find "$APP/usr/share/applications/TXM debug.desktop" -type f -exec sed -i "s/TXMVERSION/$VERSION/g" {} \;
Index: tmp/org.txm.setups/shared/win/TXM.bat
===================================================================
--- tmp/org.txm.setups/shared/win/TXM.bat	(revision 2838)
+++ tmp/org.txm.setups/shared/win/TXM.bat	(revision 2839)
@@ -56,8 +56,8 @@
 mkdir "%DOTTXM%" 
 IF errorlevel 1 (echo "TXM: failed to create %DOTTXM% directory.")
 
-copy "%installdir%TXM.ini" "%DOTTXM%TXM.ini" 
-IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%TXM.ini file")
+copy "%installdir%launcher.ini" "%DOTTXM%launcher.ini" 
+IF errorlevel 1 (echo "TXM: failed to copy %DOTTXM%launcher.ini file")
 
 copy "%temp%\org.txm.rcpapplication.prefs" "%DOTTXM%org.txm.rcpapplication.prefs" 
 
@@ -77,8 +77,8 @@
 :run
 (
 set _JAVA_OPTIONS=-Duser.home="%USERHOME%"
-echo running "%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -data "%DOTTXM%data" -user "%DOTTXM%user" -install "%installdir%"
-REM "%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -user "%DOTTXM%user" -install "%installdir%"
+echo running "%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%launcher.ini" %ARGS% -data "%DOTTXM%data" -user "%DOTTXM%user" -install "%installdir%"
+REM "%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%launcher.ini" %ARGS% -user "%DOTTXM%user" -install "%installdir%"
 ) >"%USERHOME%\TXMPostInstallOutputLogs.txt" 2>"%USERHOME%\TXMPostInstallErrorLogs.txt"
 
-"%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%TXM.ini" %ARGS% -configuration "%DOTTXM%configuration" -user "%DOTTXM%user" -install "%installdir%\"
+"%installdir%launcher.exe" -run --launcher.ini "%DOTTXM%launcher.ini" %ARGS% -configuration "%DOTTXM%configuration" -user "%DOTTXM%user" -install "%installdir%\"
Index: tmp/org.txm.setups/shared/win/txm.nsi
===================================================================
--- tmp/org.txm.setups/shared/win/txm.nsi	(revision 2838)
+++ tmp/org.txm.setups/shared/win/txm.nsi	(revision 2839)
@@ -257,7 +257,7 @@
 File TXM.bat
 File launcher.exe
 File TXM.ico
-File TXM.ini
+File launcher.ini
 File "TXM debug.bat"
 File uninstall.ico
 	
Index: tmp/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM
===================================================================
--- tmp/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM	(revision 2838)
+++ tmp/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM	(revision 2839)
@@ -1,5 +1,5 @@
 #!/bin/sh
-# This script launch TXM in the right directory and with the right TXM.ini file
+# This script launch TXM in the right directory and with the right launcher.ini file
 
 echo "Preparing redirections in $HOME/TXMPostInstallOutputLogs.txt and $HOME/TXMPostInstallErrorLogs.txt files"
 
@@ -103,12 +103,12 @@
 	    exit 1 ;
 	fi
 
-    echo "TXM: getting '/Applications/TXM-TXMVERSION.app/TXM.ini' and set write permission of '$DOTTXMHOME/TXM.ini'"
-    cp "/Applications/TXM-TXMVERSION.app/Contents/TXM/TXM.ini" "$DOTTXMHOME/TXM.ini" &&
-    chmod +w "$DOTTXMHOME/TXM.ini";
+    echo "TXM: getting '/Applications/TXM-TXMVERSION.app/launcher.ini' and set write permission of '$DOTTXMHOME/launcher.ini'"
+    cp "/Applications/TXM-TXMVERSION.app/Contents/TXM/launcher.ini" "$DOTTXMHOME/launcher.ini" &&
+    chmod +w "$DOTTXMHOME/launcher.ini";
     
     if [ $? != 0 ]; then
-       	echo "TXM: Can't launch TXM: failed to copy TXM.ini file$LOGFILESMSG"
+       	echo "TXM: Can't launch TXM: failed to copy launcher.ini file$LOGFILESMSG"
         exit 1
     fi
 
@@ -142,7 +142,7 @@
 	if [ $i == "-vmargs" ]; then
  	   STARTVMARGS=1
 	fi
-done < "$DOTTXMHOME/TXM.ini"; 
+done < "$DOTTXMHOME/launcher.ini"; 
 
 echo "TXM INI ARGS = $TXMINIARGS"
 echo "TXM INI VM ARGS = $TXMINIARGSVM"
@@ -152,5 +152,5 @@
 echo "TXM: Running TXM for Mac OS X $OSVERSION with the JAR launcher..."
 ) 1>&3 2>&4
 
-echo "Starting TXM with --launcher.ini '$DOTTXMHOME/TXM.ini' -configuration '$DOTTXMHOME/configuration' -user '$DOTTXMHOME/user' -install '/Applications/TXM-TXMVERSION.app/Contents/TXM'" 
-/Applications/TXM-TXMVERSION.app/Contents/TXM/jre/Contents/Home/bin/java -Djava.library.path="$(echo  /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_*/eclipse_*.so)" -XX:MaxPermSize=256m -XstartOnFirstThread $TXMINIARGSVM -jar "$(echo /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher_*.jar)" -os macosx -ws cocoa -arch x86_64 -showsplash -run --launcher.ini "$DOTTXMHOME/TXM.ini" -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "/Applications/TXM-TXMVERSION.app/Contents/TXM"
+echo "Starting TXM with --launcher.ini '$DOTTXMHOME/launcher.ini' -configuration '$DOTTXMHOME/configuration' -user '$DOTTXMHOME/user' -install '/Applications/TXM-TXMVERSION.app/Contents/TXM'" 
+/Applications/TXM-TXMVERSION.app/Contents/TXM/jre/Contents/Home/bin/java -Djava.library.path="$(echo  /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher.cocoa.macosx.x86_64_*/eclipse_*.so)" -XX:MaxPermSize=256m -XstartOnFirstThread $TXMINIARGSVM -jar "$(echo /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher_*.jar)" -os macosx -ws cocoa -arch x86_64 -showsplash -run --launcher.ini "$DOTTXMHOME/launcher.ini" -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "/Applications/TXM-TXMVERSION.app/Contents/TXM"
Index: tmp/org.txm.setups/shared/debian/usr/bin/TXM
===================================================================
--- tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 2838)
+++ tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 2839)
@@ -1,4 +1,4 @@
-# This script launches TXM in the right directory and with the right TXM.ini file
+# This script launches TXM in the right directory and with the right launcher.ini file
 UBUNTU_MENUPROXY=0
 VERSION=-TXMVERSION
 VERSIONWITHOUTSUB=-TXMVERSIONWITHOUTSUB
@@ -122,13 +122,13 @@
 		exit 1
     fi
 
-    echo "TXM: getting '$TXMINSTALL/TXM.ini' and setting write permissions to '$DOTTXMHOME/TXM.ini'"
-    cp "$TXMINSTALL/TXM.ini" "$DOTTXMHOME/TXM.ini" &&
-    chmod +w "$DOTTXMHOME/TXM.ini"
+    echo "TXM: getting '$TXMINSTALL/launcher.ini' and setting write permissions to '$DOTTXMHOME/launcher.ini'"
+    cp "$TXMINSTALL/launcher.ini" "$DOTTXMHOME/launcher.ini" &&
+    chmod +w "$DOTTXMHOME/launcher.ini"
 	
     if [ $? != 0 ]; then
-        zenity --info --text="TXM: Can't launch TXM: failed to set TXM.ini file$LOGFILESMSG"
-        echo "TXM: Can't launch TXM: failed to set TXM.ini file$LOGFILESMSG"
+        zenity --info --text="TXM: Can't launch TXM: failed to set launcher.ini file$LOGFILESMSG"
+        echo "TXM: Can't launch TXM: failed to set launcher.ini file$LOGFILESMSG"
         exit 1
     fi
 
@@ -156,4 +156,4 @@
 #DEBUGOPTIONS="-log -clean -debug -console -noexit"
 ) 1>&3 2>&4
 
-SWT_GTK3=0 UBUNTU_MENUPROXY=0 exec "${TXMINSTALL}/launcher" "$@" -run --launcher.ini "$DOTTXMHOME/TXM.ini" $DEBUGOPTIONS -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "$TXMINSTALL"
+SWT_GTK3=0 UBUNTU_MENUPROXY=0 exec "${TXMINSTALL}/launcher" "$@" -run --launcher.ini "$DOTTXMHOME/launcher.ini" $DEBUGOPTIONS -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "$TXMINSTALL"
Index: tmp/org.txm.setups/BuildMacOSXIntel.sh
===================================================================
--- tmp/org.txm.setups/BuildMacOSXIntel.sh	(revision 2838)
+++ tmp/org.txm.setups/BuildMacOSXIntel.sh	(revision 2839)
@@ -43,15 +43,6 @@
 	exit 1;
 fi
 
-echo " rename TXM's launcher.ini"
-if [ ! -f  "exportRCP/macosx.cocoa.x86_64/Contents/TXM/TXM.ini" ]; then
-	mv "exportRCP/macosx.cocoa.x86_64/Contents/TXM/launcher.ini" "exportRCP/macosx.cocoa.x86_64/Contents/TXM/TXM.ini"
-	if [ $? != 0 ]; then
-		echo "** MacOSXIntel.sh : failed to rename launcher.ini file"
-		exit 1;
-	fi
-fi
-
 echo " copy eclipse arch dependent build"
 rsync -r  --exclude '.svn' "exportRCP/macosx.cocoa.x86_64/"* "TXM_${fullversion}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents"
 if [ $? != 0 ]; then
